<?xml version="1.0" encoding="UTF-8"?>
<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

 Contributors:
  Balasko, Jeno
  Raduly, Csaba
  Szabo, Bence Janos
-->
<schema xmlns="http://www.w3.org/2001/XMLSchema"
xmlns:ns="www.example.org/elements"
targetNamespace="www.example.org/elements">

<annotation>
  <documentation xml:lang="EN">
  </documentation>
</annotation>



<annotation><documentation xml:lang="EN">Global element declarations</documentation></annotation>

<annotation><documentation xml:lang="EN">Global element declarations</documentation></annotation>

<element name="fooGlobal" type="float"/>
<element name="barGlobal" type="string"/>
<element name="dingGlobal" type="integer" />
<element name="remarkNillable" type="string"  nillable="true"/>
<element name="comment" type="string"/>

<element name="SeqNillable" nillable="true">
	<complexType>
		<sequence>
			<element name="forename" type="string" nillable="true"/>
			<element name="surname" type="string" minOccurs="0" nillable="true"/>
			<element name="bornPlace" type="string" minOccurs="0" maxOccurs="unbounded" nillable="true"/>
			<element ref="ns:fooGlobal"/>
			<element ref="ns:barGlobal"/>
			<element ref="ns:dingGlobal"/>
			<element ref="ns:remarkNillable"/>
		</sequence>
	</complexType>
</element>

<element name="shipComment" type="string"
         substitutionGroup="ns:comment"/>
<element name="customerComment" type="string"
         substitutionGroup="ns:comment"/>


<annotation><documentation xml:lang="EN">Local element declarations</documentation></annotation>


<complexType name="e25seq">
	<sequence>
		<element name="title" type="string"/>
		<element name="forename" type="string" nillable="true"/>
		<element name="surname" type="string" minOccurs="0"/>
		<element name="bornDate" type="integer" minOccurs="0" maxOccurs="unbounded"/>
		<element name="bornPlace" type="string" minOccurs="0" maxOccurs="unbounded" nillable="true"/>
		<element ref="ns:fooGlobal"/>
		<element ref="ns:barGlobal"/>
		<element ref="ns:dingGlobal"/>
		<element ref="ns:remarkNillable"/>
	</sequence>
</complexType>


</schema>
